Skip to content

Set Pin

| View as Markdown

This API is used to set pin for the card which needs to be entered for making the payment transaction. We must pass entity id, kit no, pin and expiry date in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/set-pin
FieldTypeDescription
tokentext(length 10, required)
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
FieldTypeDescription
entity_idtextThe Customer Id registered with the system (length 50, required)
kit_notextKit no. for which the pin needs to be set (length 16, required)
pinnumericPIN is 4 digits .Pin will expire in 365 days (length 4, required)
expiryDatetextMMYY Format EG:1021 (length 4, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/set-pin' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'kit_no=100000001203' \
--data-urlencode 'pin=1234 \
--data-urlencode 'expiryDate=0224'
FieldTypeDescription
statusnumeric400- fail,200-success(length 3, required)
messagetextSuccess, Fail(required)
datajson{“”}(required)
{
"status": 200,
"message": "SUCCESS",
"data": []
}
"status": 400,
"message": "fail"
}